- name: Include oAuth2 Proxy Variables
  include_tasks: ansible-templates/oauth2-proxy/oauth2-proxy-defaults.yml
  vars:
    debug_defaults: true

- name: "Create the oAuth2 Proxy Installation"
  include_tasks: ansible-templates/k8s_tasks/k8s-helm.yml
  vars:
    helm_repo_name: "k8s-at-home"
    helm_repo_url: "https://oauth2-proxy.github.io/manifests"
    helm_chart_name: "oauth2-proxy"
    helm_release_name: "oauth2-proxy"
    helm_chart_reference: "{{ helm_repo_name }}/{{ helm_chart_name }}"
    helm_create_namespace: true
    helm_values_file: "templates/oauth2-proxy/values.yaml.j2"
    helm_values:
      image_repository: "bitnami/oauth2-proxy"
      image_tag: "7.1.3"
      image_pull_policy: "IfNotPresent"
      idm_client_id: "{{ oauth_idm_client_id }}"
      idm_client_secret: "{{ oauth_idm_client_secret }}"
      cookie_secret: "{{ oauth_cookie_secret }}"
      idm_issuer_url: "{{ oauth_idm_issuer_url }}"
      ingress_app_host: "oauth.{{ oauth_app_name }}.{{ DOMAIN }}"
      tls_secret_name: "oauth.{{ oauth_app_name }}.{{ DOMAIN }}-tls"